Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225153 - mc doesn't report free space correctly
Summary: mc doesn't report free space correctly
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 14:35 UTC by Miroslav Lichvar
Modified: 2013-07-02 23:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-28 12:26:46 UTC


Attachments (Terms of Use)
fix (deleted)
2007-02-14 22:51 UTC, Tomas Heinrich
no flags Details | Diff

Description Miroslav Lichvar 2007-01-29 14:35:48 UTC
Description of problem:
When current directory contains a symlink (but not the last part of the path),
mc shows incorrect free space.

Version-Release number of selected component (if applicable):
mc-4.6.1a-40.fc7

How reproducible:
Always.

Steps to Reproduce:
1. cd filesystem1
1. mkdir /filesystem2/x1
2. ln -s /filesystem2/x1 x2
3. mkdir x2/x3
4. cd x2/x3
5. check free space displayed in panel
  
Actual results:
Free space on filesystem1

Expected results:
Free space on filesystem2

Additional info:

Comment 1 Tomas Heinrich 2007-02-14 22:51:34 UTC
Created attachment 148088 [details]
fix

Comment 2 Fedora Update System 2007-04-17 12:48:30 UTC
mc-4.6.1a-36.20070124cvs.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 3 Fedora Update System 2007-04-17 12:51:56 UTC
mc-4.6.1a-36.20070124cvs.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.